ReferenceAPI

Get a workspace

Get one workspace the caller can view.

GET https://api.nevia.cloud/v1/workspaces/{ws}
curl -X GET "https://api.nevia.cloud/v1/workspaces/01d4cnjjq40hnnh0nwmkg35nv2h" \
  -H "Authorization: Bearer $TOKEN"
{
  "workspace": {
    "id": "01d4cnjjq40hnnh0nwmkg35nv2h",
    "name": "api-staging",
    "state": "active",
    "created_at": "2026-09-10T12:34:56Z",
    "updated_at": "2026-09-10T12:34:56Z",
    "deleted_at": null
  },
  "operations": [
    "01d4cnjm89yk0r3xtv80dy0x7by"
  ]
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Path Parameters

ws* string

Workspace id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$

Response

application/json

The workspace.